package common.network;

import common.packet.RPacketDisconnect;
import common.packet.RPacketEnableCompression;
import common.packet.RPacketLoginSuccess;
import common.packet.RPacketRequestEncrypt;

public interface IClientLoginHandler {
	void handleDisconnect(RPacketDisconnect packet);
	void handleLoginSuccess(RPacketLoginSuccess packet);
	void handleEnableCompression(RPacketEnableCompression packet);
	void handleEncrypt(RPacketRequestEncrypt packet);
}
