package common.block.natural;

import common.block.Block;
import common.block.Material;
import common.init.Blocks;
import common.init.ItemRegistry;
import common.item.CheatTab;
import common.item.Item;
import common.rng.Random;
import common.world.State;

public class BlockStone extends Block {
	public BlockStone() {
		super(Material.SOLID);
		this.setTab(CheatTab.NATURE);
	}

	public Item getItemDropped(State state, Random rand, int fortune) {
		return ItemRegistry.getItemFromBlock(Blocks.cobblestone);
	}
}
